package com.ruoyi.finance.mapper;

import com.ruoyi.finance.domain.TFee;
import com.ruoyi.finance.domain.TWareHouseFees;
import com.ruoyi.warehouseBusiness.domain.TWareHouseExcelItem;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 财务数据主Mapper接口
 *
 * @author ruoyi
 * @date 2021-01-18
 */
public interface TFeeMapper {
    /**
     * 查询财务数据主
     *
     * @param fId 财务数据主ID
     * @return 财务数据主
     */
    public TFee selectTFeeById(Long fId);

    /**
     * 查询财务数据主列表
     *
     * @param tFee 财务数据主
     * @return 财务数据主集合
     */
    public List<TFee> selectTFeeList(TFee tFee);

    public List<Map<String, Object>> selectTFeeList1(TFee tFee);

    /**
     * 新增财务数据主
     *
     * @param tFee 财务数据主
     * @return 结果
     */
    public int insertTFee(TFee tFee);

    /**
     * 修改财务数据主
     *
     * @param tFee 财务数据主
     * @return 结果
     */
    public int updateTFee(TFee tFee);

    /**
     * 删除财务数据主
     *
     * @param fId 财务数据主ID
     * @return 结果
     */
    public int deleteTFeeById(Long fId);

    /**
     * 批量删除财务数据主
     *
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTFeeByIds(Long[] fIds);

    /**
     *  查询 对账、 收费 数据
     * @return
     */
    public List<Map<String, Object>> warehouseBillsFeesList(@Param("map") Map<String, Object> map);

    public List<Map<String, Object>> warehouseBillsFeesListAccamount(@Param("map") Map<String, Object> map);

    public List<Map<String, Object>> warehouseBillsFeesList1(TWareHouseFees tWareHouseFees);

    public List<Map<String, Object>> warehouseBillsFeesProfitList(TWareHouseFees tWareHouseFees);

    /**
     * 查询详情主表列表
     * @param fid
     * @return 详情主表集合
     */
    public List<TWareHouseExcelItem> selectTWarehousebillsItemsList(@Param("fId") Long fid);
}
